Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.looksgood.ani
Interface AniConstants

All Known Implementing Classes:
  Ani, AniCore, Back, Bounce, Circ, Cubic, CustomEasing, Easing, Elastic, Expo, Linear, Quad, Quart, Quint, Sine

    public interface AniConstants

All Constants of the Ani library.

Field Summary
`static java.lang.String` | `ANI_DEBUG_PREFIX`
`static java.lang.String` | `AUTOSTART`
`static Easing` | `BACK_IN`
`static Easing` | `BACK_IN_OUT`
`static Easing` | `BACK_OUT`
`static java.lang.String` | `BACKWARD`
`static Easing` | `BOUNCE_IN`
`static Easing` | `BOUNCE_IN_OUT`
`static Easing` | `BOUNCE_OUT`
`static Easing` | `CIRC_IN`
`static Easing` | `CIRC_IN_OUT`
`static Easing` | `CIRC_OUT`
`static Easing` | `CUBIC_IN`
`static Easing` | `CUBIC_IN_OUT`
`static Easing` | `CUBIC_OUT`
`static Easing` | `ELASTIC_IN`
`static Easing` | `ELASTIC_IN_OUT`
`static Easing` | `ELASTIC_OUT`
`static Easing` | `EXPO_IN`
`static Easing` | `EXPO_IN_OUT`
`static Easing` | `EXPO_OUT`
`static java.lang.String` | `FORWARD`
`static java.lang.String` | `FRAMES`
`static int` | `IN`
`static int` | `IN_OUT`
`static Easing` | `LINEAR`
`static java.lang.String` | `NO_AUTOSTART`
`static java.lang.String` | `NO_OVERWRITE`
`static java.lang.String` | `ON_DELAY_END`
`static java.lang.String` | `ON_END`
`static java.lang.String` | `ON_START`
`static java.lang.String` | `ON_UPDATE`
`static int` | `OUT`
`static java.lang.String` | `OVERWRITE`
`static Easing` | `QUAD_IN`
`static Easing` | `QUAD_IN_OUT`
`static Easing` | `QUAD_OUT`
`static Easing` | `QUART_IN`
`static Easing` | `QUART_IN_OUT`
`static Easing` | `QUART_OUT`
`static Easing` | `QUINT_IN`
`static Easing` | `QUINT_IN_OUT`
`static Easing` | `QUINT_OUT`
`static java.lang.String` | `SECONDS`
`static Easing` | `SINE_IN`
`static Easing` | `SINE_IN_OUT`
`static Easing` | `SINE_OUT`
`static java.lang.String` | `VERSION`
`static java.lang.String` | `YOYO`

Field Detail

### VERSION

    static final java.lang.String VERSION

See Also:
  Constant Field Values

### SECONDS

    static final java.lang.String SECONDS

See Also:
  Constant Field Values

### FRAMES

    static final java.lang.String FRAMES

See Also:
  Constant Field Values

### ON_START

    static final java.lang.String ON_START

See Also:
  Constant Field Values

### ON_END

    static final java.lang.String ON_END

See Also:
  Constant Field Values

### ON_DELAY_END

    static final java.lang.String ON_DELAY_END

See Also:
  Constant Field Values

### ON_UPDATE

    static final java.lang.String ON_UPDATE

See Also:
  Constant Field Values

### FORWARD

    static final java.lang.String FORWARD

See Also:
  Constant Field Values

### BACKWARD

    static final java.lang.String BACKWARD

See Also:
  Constant Field Values

### YOYO

    static final java.lang.String YOYO

See Also:
  Constant Field Values

### AUTOSTART

    static final java.lang.String AUTOSTART

See Also:
  Constant Field Values

### NO_AUTOSTART

    static final java.lang.String NO_AUTOSTART

See Also:
  Constant Field Values

### OVERWRITE

    static final java.lang.String OVERWRITE

See Also:
  Constant Field Values

### NO_OVERWRITE

    static final java.lang.String NO_OVERWRITE

See Also:
  Constant Field Values

### ANI_DEBUG_PREFIX

    static final java.lang.String ANI_DEBUG_PREFIX

See Also:
  Constant Field Values

### IN

    static final int IN

See Also:
  Constant Field Values

### IN_OUT

    static final int IN_OUT

See Also:
  Constant Field Values

### OUT

    static final int OUT

See Also:
  Constant Field Values

### LINEAR

    static final Easing LINEAR

### QUAD_IN

    static final Easing QUAD_IN

### QUAD_OUT

    static final Easing QUAD_OUT

### QUAD_IN_OUT

    static final Easing QUAD_IN_OUT

### CUBIC_IN

    static final Easing CUBIC_IN

### CUBIC_OUT

    static final Easing CUBIC_OUT

### CUBIC_IN_OUT

    static final Easing CUBIC_IN_OUT

### QUART_IN

    static final Easing QUART_IN

### QUART_OUT

    static final Easing QUART_OUT

### QUART_IN_OUT

    static final Easing QUART_IN_OUT

### QUINT_IN

    static final Easing QUINT_IN

### QUINT_OUT

    static final Easing QUINT_OUT

### QUINT_IN_OUT

    static final Easing QUINT_IN_OUT

### SINE_IN

    static final Easing SINE_IN

### SINE_OUT

    static final Easing SINE_OUT

### SINE_IN_OUT

    static final Easing SINE_IN_OUT

### CIRC_IN

    static final Easing CIRC_IN

### CIRC_OUT

    static final Easing CIRC_OUT

### CIRC_IN_OUT

    static final Easing CIRC_IN_OUT

### EXPO_IN

    static final Easing EXPO_IN

### EXPO_OUT

    static final Easing EXPO_OUT

### EXPO_IN_OUT

    static final Easing EXPO_IN_OUT

### BACK_IN

    static final Easing BACK_IN

### BACK_OUT

    static final Easing BACK_OUT

### BACK_IN_OUT

    static final Easing BACK_IN_OUT

### BOUNCE_IN

    static final Easing BOUNCE_IN

### BOUNCE_OUT

    static final Easing BOUNCE_OUT

### BOUNCE_IN_OUT

    static final Easing BOUNCE_IN_OUT

### ELASTIC_IN

    static final Easing ELASTIC_IN

### ELASTIC_OUT

    static final Easing ELASTIC_OUT

### ELASTIC_IN_OUT

    static final Easing ELASTIC_IN_OUT

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library Ani by Benedikt Gross. (c) 2015